<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Patient;
use Yajra\DataTables\Facades\DataTables;
use Illuminate\Database\QueryException;

class PatientController extends Controller
{
    public function savepatient(Request $request)
    {

        $patient = new Patient();
        $patient->name = $request->name;
        $patient->age = $request->age;
        $patient->sex = $request->sex;
        $patient->address = $request->address;
        $patient->city = $request->city;
        $patient->state = $request->state;
        $patient->postal_code = $request->postal_code;
        $patient->contact_person = $request->contact_person;
        $patient->contact_phone = $request->phone;
        $patient->contact_diagnosis = $request->contact_diagnosis;
        $patient->landmark = $request->landmark;
        $patient->save();

        Patient::where('id', $patient->id)->update(['registartion_no' => 'REG-00' . $patient->id]);
        if ($patient) {
            return response()->json(
                array(
                    'status' => true,
                    'data' => "Data added Successfully"
                ),
                200
            );
        } else {
            return response()->json(
                array(
                    'status' => false,
                    'data' => "Something went Wrong"
                ),
                200
            );
        }
    }
    public function updatepatient(Request $request)
    {
        $patient = Patient::where('id', $request->id)
            ->update([
                'name' => $request->name,
                'age' => $request->age,
                'sex' => $request->sex,
                'address' => $request->address,
                'city' => $request->city,
                'state' => $request->state,
                'postal_code' => $request->postal_code,
                'contact_person' => $request->conatct_person,
                'contact_phone' => $request->phone,
                'contact_diagnosis' => $request->contact_diagnosis,
                'landmark' => $request->landmark,
            ]);
        if ($patient) {
            return response()->json(
                array(
                    'status' => true,
                    'data' => "Data updated Successfully"
                ),
                200
            );
        } else {
            return response()->json(
                array(
                    'status' => false,
                    'data' => "Something went Wrong"
                ),
                200
            );
        }
    }
    public function viewpatient(Request $request)
    {
        $data = Patient::where('id', $request->id)->first();
        return view('admin.patient-view', ['data' => $data]);
    }
    public function editpatient(Request $request)
    {
        $data = Patient::where('id', $request->id)->first();
        return view('admin.patient-edit', ['data' => $data]);
    }
    public function getpatient(Request $request)
    {
        if ($request->ajax()) {
            $data = Patient::orderBy('id', 'DESC')->get();
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('regno', function ($data) {
                    return  '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->registartion_no . '</a>';
                })
                ->addColumn('name', function ($data) {
                    return   '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->name . '</a>';
                })
                ->addColumn('age', function ($data) {
                    return   '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->age . '</a>';
                })
                ->addColumn('phone', function ($data) {
                    return  '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->contact_phone . '</a>';
                })
                ->addColumn('address', function ($data) {
                    return  '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->address . '</a>';
                })
                ->addColumn('contact_diagnosis', function ($data) {
                    return  '<a href="' . route('patient-view', ['id' => $data->id]) . '">' . $data->contact_diagnosis . '</a>';
                })
                ->addColumn('action', function ($data) {
                    $actionBtn = '
                    <a href="' . route('patient-edit', ['id' => $data->id]) . '" > <span class="badge badge-primary"><i class="feather icon-edit-2"></i></span></a>
                     <a href="javascript:void(0);"  data-id="' . $data->id . '"  id="getDeleteId" data-toggle="modal" data-target="#delete_data" class="text-muted" > <span class="badge badge-success"><i class="feather icon-trash"></i></span></a>
                      
                                           ';
                    return $actionBtn;
                })


                ->escapeColumns([])

                ->make(true);
        }
    }


    public function deletepatient(Request $request)
    {
        try {
            $data = Patient::where('id', $request->id)->delete();
            return $data;
        } catch (QueryException $e) {
            return $e->getMessage();
        }
    }
}
