<?php

namespace App\Http\Controllers;

use App\Models\User;
use Yajra\DataTables\Facades\DataTables;
use Illuminate\Database\QueryException;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class VolunteerController extends Controller
{
    public function savevolunteer(Request $request)
    {
        $volunteer = new User();
        $volunteer->name = $request->name;
        $volunteer->email = $request->email;
        $volunteer->password = Hash::make($request->phone);
        $volunteer->phone = $request->phone;
        $volunteer->role = 2;
        $volunteer->save();
        if ($volunteer) {
            return response()->json(
                array(
                    'status' => true,
                    'data' => "Data added Successfully"
                ),
                200
            );
        } else {
            return response()->json(
                array(
                    'status' => false,
                    'data' => "Something went Wrong"
                ),
                200
            );
        }
    }
    public function updatevolunteer(Request $request)
    {
        $volunteer = User::where('id', $request->id)
            ->update([
                'name' => $request->name,
                'email' => $request->email,
                // 'password' => $request->password,
                'phone' => $request->phone
            ]);
        if ($volunteer) {
            return response()->json(
                array(
                    'status' => true,
                    'data' => "Data updated Successfully"
                ),
                200
            );
        } else {
            return response()->json(
                array(
                    'status' => false,
                    'data' => "Something went Wrong"
                ),
                200
            );
        }
    }

    public function getvolunteer(Request $request)
    {
        if ($request->ajax()) {
            $data = User::where('role', 2)->orderBy('id', 'DESC')->get();
            return Datatables::of($data)
                ->addIndexColumn()
                ->addColumn('name', function ($data) {
                    return   $data->name;
                })
                ->addColumn('email', function ($data) {
                    return   $data->email;
                })
                ->addColumn('phone', function ($data) {
                    return   $data->phone;
                })
                ->addColumn('action', function ($data) {
                    $actionBtn = '<a href="javascript:void(0);" data-id="' . $data->id . '" data-value="' . $data->name . '"  data-email="' . $data->email . '"  data-phone="' . $data->phone . '"  data-pswd="' . $data->pswd . '" id="getEditId" class="text-muted" data-toggle="modal" data-target="#exampleModalCenter2"> <span class="badge badge-primary"><i class="feather icon-edit-2"></i></span></a>
                     <a href="javascript:void(0);"  data-id="' . $data->id . '"  id="getDeleteId" data-toggle="modal" data-target="#delete_data" class="text-muted" > <span class="badge badge-success"><i class="feather icon-trash"></i></span></a>
                      
                                           ';
                    return $actionBtn;
                })


                ->escapeColumns([])

                ->make(true);
        }
    }


    public function deletevolunteer(Request $request)
    {
        try {
            $data = User::where('id', $request->id)->delete();
            return $data;
        } catch (QueryException $e) {
            return $e->getMessage();
        }
    }
}
