<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Service extends Model
{
    use HasFactory;

    public function serviceCategory(): BelongsTo
    {
        return $this->belongsTo(ServiceCategory::class);
    }

    public function servicelog(): HasMany
    {
        return $this->hasMany(ServiceLog::class, 'service_id');
    }

    public function stock(): HasMany
    {
        return $this->hasMany(Stock::class, 'service_id');
    }
}
