@extends('layout.header')
@section('content')
<style type="text/css">
    .dropdown-toggle {

        height: 40px;

        width: 400px !important;

    }
</style>
<div class="breadcrumbbar">
    <div class="row align-items-center">
        <div class="col-md-12 col-lg-12">
            <h4 class="page-title">Patient</h4>
            <div class="breadcrumb-list">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Home</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('service-log') }}">Serive Offered</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Edit Service</li>
                </ol>
            </div>
        </div>

    </div>
</div>
<!-- Start Contentbar -->
<div class="contentbar">
    <!-- Start row -->
    <div class="row">
        <!-- Start col -->
        <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title mb-0">Edit Service Log</h5>
                </div>
                <div class="card-body">
                    <form id="add_category" action="{{ route('update-service-log') }}">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="appointno">Patient</label>
                                <select class="form-control" required name="patient">
                                    @foreach(App\Models\Patient::get() as $item)
                                    <option value="{{$item->id}}" {{ $data->patient_id == '$item->id' ? 'selected' : '' }}>{{$item->name}}</option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="form-group col-md-6">

                                <label for="appointno">Service</label>
                                <select class="selectpicker form-control" name="services[]" required multiple>
                                    <option>Select</option>
                                    @foreach(App\Models\ServiceCategory::get() as $item)
                                    <optgroup label="{{$item->name}}">
                                        @foreach($item->service as $item2)
                                        <option value="{{$item2->id}}" {{ $data->service_id == '$item2->id' ? 'selected' : '' }}>{{$item2->name}}</option>
                                        @endforeach
                                    </optgroup>
                                    @endforeach

                                </select>
                            </div>
                        </div>

                        <div class="form-row">

                            <div class="form-group col-md-4">
                                <label for="appointno">Quantity</label>
                                <input type="number" class="form-control" required name="quantity" value="{{$data->quantity}}">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="appointno">Date</label>
                                <input type="date" class="datepicker-here form-control" value="{{$data->service_date}}" required name="date">
                            </div>

                            <div class="form-group col-md-4">
                                <label for="appointno">Time</label>
                                <input type="hidden" class="form-control" name="id" value="{{$data->id}}">
                                <input type="time" class="form-control" required name="time" value="{{$data->service_time}}">
                            </div>


                        </div>

                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <label for="appointno">Remarks</label>
                                <textarea class="form-control" name="remarks" required>{{$data->remarks}}</textarea>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary"><i class="feather icon-plus mr-2"></i>Add Service Log</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- End col -->
    </div>
    <!-- End row -->
</div>
<!-- End Contentbar -->

<script>
    $('#add_category').submit(function(e) {
        e.preventDefault();
        var url = $(this).attr("action");
        let formData = new FormData(this);
        $.ajax({
            type: 'POST',
            url: url,
            data: formData,
            contentType: false,
            processData: false,
            success: function(result) {
                if (result.status == true) {
                    toastr.success(result.data);
                    window.location.href = "{{ route('service-log') }}";
                } else if (result.status == false) {
                    toastr.error(result.data);
                }
            },
            error: function(err) {
                // Your Error Message
                toastr.error(err.data);
            }
        });
    });



    $('select[name="service_category_id"]').on('change', function() {
        var catId = $(this).val();

        if (catId) {
            $.ajax({
                url: "{{ route('load-service') }}",
                data: {

                    'id': catId
                },
                type: "GET",
                //  dataType: "json",
                success: function(data) {
                    $('select[name="services[]"]').empty();
                    if (data != '') {
                        $('select[name="services[]"]').append('<option  value=""> --select service-- </option>');
                        $.each(data, function(key, value) {
                            alert(value.name);
                            $('select[name="services[]"]').append('<option value=" ' + value.id + '">' + value.name + '</option>');
                        })
                    } else {
                        $('select[name="services[]"]').empty();
                    }
                }

            })
        }
    });
</script>
@endsection
@extends('layout.footer2')